%% Funzione che elabora gli Analog Link
% Gli output sono:
% TimeLL - contiene le date delle elaborazioni
% LLTot - contiene i valori di carico

function [DatiLoad,ErrLoadLink,ARRAYdateLL] = loadcell(LoadDef,ErrLoadLink,...
    ARRAYdateLL,NuovoZeroLL,NdatiMedia,Ndatidespike,margine,FileName)

text = 'loadcell function started';
fileID = fopen(FileName,'a');
fmt = '%s \r';
fprintf(fileID,fmt,text);

if NuovoZeroLL == 1
   if NdatiMedia > Ndatidespike
        Ndati = NdatiMedia;
    else
        Ndati = Ndatidespike;
    end
    ini = round(Ndati/2)+1;
    if rem(Ndati,2) == 0
        ini = ini+1;
    end
    clear NDati
    ini = ini + margine;
    if ini < 6
        ini = 6;
    end
    ErrLoadLink = ErrLoadLink(ini:end,:);
    DatiLoad = LoadDef(ini:end,:);
    ARRAYdateLL = ARRAYdateLL(ini:end,1); 
end

text = 'Load Link elaborated correctly. loadcell function closed';
fprintf(fileID,fmt,text);
fclose(fileID);

end